Skip to main content
`Ctrl`+`K`

# TSComputeIFunction

Evaluates the DAE residual written in the implicit form F(t,U,Udot)=0

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeIFunction(TS ts, PetscReal t, Vec U, Vec Udot, Vec Y, PetscBool imex)

Collective

## Input Parameters

- ts - the `TS` context

- t - current time

- U - state vector

- Udot - time derivative of state vector

- imex - flag indicates if the method is `TSIMEX` so that the RHSFunction should be kept separate

## Output Parameter

- Y - right-hand side

## Note

Most users should not need to explicitly call this routine, as it is used internally within the nonlinear solvers.

If the user did not write their equations in implicit form, this function recasts them in implicit form.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetIFunction()`, `TSComputeRHSFunction()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages